"use strict";

var GO_TubeDoor = function(unlocked,getDestName,relocate){
	this.sprite = new Sprite(GO_TubeDoor.spriteSheet,"TubeDoor");
	
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(0,0,31,31);
	this.sprite.game_object = this; // no longer a generic GO

	this.unlocked=unlocked;
	this._getDestName = getDestName;
	this.relocate = relocate;
};
GO_TubeDoor.spriteImg = SDS_Load_Image("art/sheets/sprite/tubedoor.png");
GO_TubeDoor.spriteSheet = new TileSheet(5, 5, 1, 0, GO_TubeDoor.spriteImg);

GO_TubeDoor.prototype = new GO_Door(
	true,
	function(){return "";},
	GO_Door.NullRelocate
	);
